﻿using System;
using System.Windows.Forms;
using Newtonsoft.Json;
using Newtonsoft.Json.Linq;


namespace Core
{
    class GetToken
    {
        //token有效时长为120分钟。如果有多台机器建议使用分布式存储，新旧token会共存5分钟。请把token做全局唯一
        public static string token(string apiUrl)
        {
            String token = null;
           
            string result = Http.SendHttp.Get(apiUrl, null, null);
            if (!string.IsNullOrEmpty(result))
            {
                JObject obj = (JObject)JsonConvert.DeserializeObject(result);
                if ("0".Equals(obj["code"].ToString()))
                {
                    string data = null;
                    data = obj["data"].ToString();
                    JObject dataObj = (JObject)JsonConvert.DeserializeObject(data);
                    token = dataObj["token"].ToString();
                }
                else
                {
                    string code = obj["code"].ToString();
                    string msg = obj["message"].ToString();
                    MessageBox.Show("错误码Code = " + code + ", 错误信息msg = " + msg);
                }
            }
            return token;
        }
    }
}
